set term postscript enhanced color eps font ',20'

# set pm3d map corners2color c4 clip1in

filename ='mhmax_HBwithLHClikelihood.dat'
filename_out ='mhmax_HBwithLHClikelihood_comb.eps'

set xrange [90.:1000.]
set yrange [1.:60.]

set view map

# set size 0.7,0.7
# set size square
set size 0.8,1
# set size 1.,0.8

# set palette rgbformulae 30,31,32
# set zrange [0.:20.]
# set cbrange [0.:20.]

set grid front

set xlabel 'M_A [GeV]'
set ylabel 'tan{/Symbol b}'

set output filename_out

# set key Left reverse box width 0 at 1000, 60.0 opaque font ',14'
# set key Left reverse box width 0 right outside opaque font ',14'

# set size square
set key Left reverse spacing 1.2 box width 0  at 1000, 60.0 opaque font ',18'


ptsz = 1.2

set multiplot

plot filename u ($4):((($18)==1) ? ($5) : 1/0)  ps ptsz pt 5 lc rgb "orange" t "h", \
     filename u ($4):((($18)==2) ? ($5) : 1/0)  ps ptsz pt 5 lc rgb "blue" t "H", \
     filename u ($4):((($18)==4) ? ($5) : 1/0)  ps ptsz pt 5 lc rgb "red" t "A", \
     filename u ($4):((($18)==5) ? ($5) : 1/0)  ps ptsz pt 5 lc rgb "magenta" t "h+A", \
     filename u ($4):((($18)==6) ? ($5) : 1/0)  ps ptsz pt 5 lc rgb "#BBBBBB" t "H+A", \
     filename u ($4):((($18)==7) ? ($5) : 1/0)  ps ptsz pt 5 lc rgb "#ADFF2F" t "h+H+A"     
	 
#      filename u ($4):((($18)==3) ? ($5) : 1/0)  ps ptsz pt 5 lc rgb "yellow" t "h+H", \	
 
set object 1 rectangle from screen 0, screen 0 to graph 0, screen 1 behind \
  fillstyle solid noborder
set object 2 rectangle from graph 1, screen 0 to graph 1.02, screen 1 behind\
  fillstyle solid noborder
set object 3 rectangle from screen 0, graph 1 to screen 1, screen 1 behind \
  fillstyle solid noborder
set object 4 rectangle from screen 0, screen 0 to screen 1, graph 0 behind \
  fillstyle solid noborder

# set size 0.831,1.
# set origin -0.003,0.
unset key
unset grid
plot NaN notit	 